#!/bin/bash

#
#HCCAD startup script
#

XDG_DATA_HOME="/var/tmp"
#EXTEND_LIB_PATH=""

Package_Name="com.gstarcad.cad"
Version="v2021"
Languge="zh-cn"

Env_User_Data=$XDG_DATA_HOME

if [ -z $Env_User_Data ]
then
        Env_User_Data=$HOME             
fi

if [ -z $Env_User_Data ]
then
        Env_User_Data="/var/tmp"             
fi

export Env_User_Data=${Env_User_Data}/${Package_Name}
export XMODIFIERS=@im=fcitx  

export XIM=fcitx  

export XIM_PROGRAM=fcitx  

export GTK_IM_MODULE=fcitx  

export QT_IM_MODULE=fcitx


CAD_RUN_PATH="/opt/${Package_Name}/${Version}/files"
export QT_QPA_PLATFORM_PLUGIN_PATH=${CAD_RUN_PATH}
export QT_DEBUG_PLUGINS=1
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${CAD_RUN_PATH}":"${CAD_RUN_PATH}/drivers":"${CAD_RUN_PATH}/systemlibs"

#$BINARY
"${CAD_RUN_PATH}/gcad" "$1"

